Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.model
Class LibraryModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.LibraryModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

public class LibraryModel
extends PluginModelObject

A runtime library declared in a plug-in. Libraries contribute elements to the search path. These contributions are specified as a path to a directory or Jar file. This path is always considered to be relative to the containing plug-in.

Libraries are typed. The type is used to determine to which search path the library's contribution should be added. The valid types are: `CODE` and `RESOURCE`.

This class may be instantiated, or further subclassed.

Field Summary
`static String` | `CODE` Deprecated. Constant string (value "code") indicating the code library type.
`static String` | `RESOURCE` Deprecated. Constant string (value "resource") indicating the resource library type.

Constructor Summary
`LibraryModel()` Deprecated. Creates a new library model in which all fields are `null`.

Method Summary
`String[]` | `getExports()` Deprecated. Returns this library's export mask.
`String[]` | `getPackagePrefixes()` Deprecated.
`String` | `getType()` Deprecated. Returns this library's type.
`boolean` | `isExported()` Deprecated. Returns whether or not any of the code in this library is exported.
`boolean` | `isFullyExported()` Deprecated. Returns whether or not all of the code in this library is exported.
`void` | `setExports(String[] value)` Deprecated. Sets this library's export mask.
`void` | `setPackagePrefixes(String[] value)` Deprecated. Sets this library's package prefixes to be the specified array or `null`.
`void` | `setType(String value)` Deprecated. Sets this library's type.

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, markReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CODE

    public static final String CODE

  Deprecated.
  Constant string (value "code") indicating the code library type.

  See Also:
    Constant Field Values

### RESOURCE

    public static final String RESOURCE

  Deprecated.
  Constant string (value "resource") indicating the resource library type.

  See Also:
    Constant Field Values

Constructor Detail

### LibraryModel

    public LibraryModel()

  Deprecated.
  Creates a new library model in which all fields are `null`.

Method Detail

### getExports

    public String[] getExports()

  Deprecated.
  Returns this library's export mask.

  Returns:
    this library's export mask or `null`

### getType

    public String getType()

  Deprecated.
  Returns this library's type.

  Returns:
    the type of this library. The valid types are: `CODE` and `RESOURCE`.
  See Also:
    `CODE`, `RESOURCE`

### isExported

    public boolean isExported()

  Deprecated.
  Returns whether or not any of the code in this library is exported.

  Returns:
    whether or not any of the code in this library represents is exported

### isFullyExported

    public boolean isFullyExported()

  Deprecated.
  Returns whether or not all of the code in this library is exported.

  Returns:
    whether or not all of the code in this library is exported

### setExports

    public void setExports(String[] value)

  Deprecated.
  Sets this library's export mask. This object must not be read-only.

  Parameters:
    `value` - this library's export mask. May be `null`.

### setType

    public void setType(String value)

  Deprecated.
  Sets this library's type. The valid types are: `CODE` and `RESOURCE`. The given type value is canonicalized before being set. This object must not be read-only.

  Parameters:
    `value` - the type of this library.
  See Also:
    `CODE`, `RESOURCE`

### getPackagePrefixes

    public String[] getPackagePrefixes()

  Deprecated.
  See Also:
    `ILibrary.getPackagePrefixes()`

### setPackagePrefixes

    public void setPackagePrefixes(String[] value)

  Deprecated.
  Sets this library's package prefixes to be the specified array or `null`.

  Parameters:
    `value` - the list of package prefixes for this library

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.